Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo
Class LockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.jdo.JDOException
                      javax.jdo.JDOCanRetryException
                          javax.jdo.JDODataStoreException
                              kodo.jdo.DataStoreException
                                  kodo.jdo.LockException

All Implemented Interfaces:
  Serializable, ExceptionInfo

    public class LockException

extends kodo.jdo.DataStoreException

Exception indicating that locks on one or more objects could not be acquired. The `JDOException.getFailedObject()` method will be used to return the `Collection` of objects that could not be locked.

Since:
  3.1
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.openjpa.util.ExceptionInfo
`GENERAL, INTERNAL, STORE, UNSUPPORTED, USER`

Constructor Summary
`LockException(String msg, Throwable[] nested, Object failed, int timeout)`

Method Summary
`int` | `getSubtype()`
`int` | `getTimeout()`
`protected kodo.jdo.DataStoreException` | `newSerializableInstance(String msg, Throwable[] nested, Object failed)` Return a new instance of this class with the given state, and add any additional serializable state from this instance.

Methods inherited from class kodo.jdo.DataStoreException
`getNestedThrowables, getType, isFatal, printStackTrace, printStackTrace, printStackTrace, toString, writeReplace`

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.util.ExceptionInfo
`getCause, getFailedObject, getMessage`

Constructor Detail

### LockException

    public LockException(String msg,
                         Throwable[] nested,
                         Object failed,
                         int timeout)

Method Detail

### getTimeout

    public int getTimeout()

### getSubtype

    public int getSubtype()

  Specified by:
    `getSubtype` in interface `ExceptionInfo`
  Overrides:
    `getSubtype` in class `kodo.jdo.DataStoreException`

### newSerializableInstance

    protected kodo.jdo.DataStoreException newSerializableInstance(String msg,
                                                                  Throwable[] nested,
                                                                  Object failed)

  Return a new instance of this class with the given state, and add any additional serializable state from this instance.

  Overrides:
    `newSerializableInstance` in class `kodo.jdo.DataStoreException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.